const menuToggle = document.getElementById('menuToggle');
const sidebar = document.getElementById('sidebar');
const themeToggle = document.getElementById('themeToggle');
const body = document.body;
const icon = document.getElementById('themeIcon');

function updateTheme(theme) {
    const icon = document.getElementById('themeIcon');
    body.setAttribute('data-bs-theme', theme);

    if (theme === 'dark') {
        body.classList.add('dark-theme');
        body.classList.remove('light-theme');
        icon.classList.remove('fa-sun');
        icon.classList.add('fa-moon');
    } else {
        body.classList.add('light-theme');
        body.classList.remove('dark-theme');
        icon.classList.remove('fa-moon');
        icon.classList.add('fa-sun');
    }
    localStorage.setItem('theme', theme);
}

document.addEventListener('DOMContentLoaded', () => {
    const savedTheme = localStorage.getItem('theme') || 'light';
    updateTheme(savedTheme);
});

themeToggle.addEventListener('click', () => {
    const currentTheme = body.getAttribute('data-bs-theme') === 'dark' ? 'light' : 'dark';
    updateTheme(currentTheme);
});

menuToggle.addEventListener('click', () => {
    sidebar.classList.toggle('open');
});
